Viewing Issue Simple Details Jump to Notes ] Wiki ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0002420 [DCSS] Bug Report minor always 2010-09-01 06:30 2015-04-14 06:51
Reporter OG17 View Status public  
Assigned To PleasingFungus
Priority normal Resolution done  
Status resolved   Product Branch 0.8 ancient branch
Summary 0002420: Fedhas lets you polymorph stuff into free oklobs
Description Fedhas doesn't care if you polymorph naturally-occuring peaceful spores and wandering mushrooms, and the resulting peaceful oklobs are happy to take potshots at monsters. Targetting friendly mushrooms and ballistos brings penance and polymorph seems to be prevented, but Fedhas is fine with you making a buttload of friendly spores with reproduction and then zapping them into friendly oklobs (though if you get a mushroom instead, he's ready to hand out penance). The oklobs don't seem to get any invo boost, but still.
Additional Information
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0007696)
OG17 (reporter)
2010-09-01 06:45

If that's unclear, I mean that if you polymorph a spore into a mushroom, further polymorphs bring penance.
(0007703)
KiloByte (manager)
2010-09-01 10:22

Giving penance for polymorphing all plants should fix that. Are there any downsides I failed to notice?
(0026926)
doy (developer)
2014-08-03 21:21

This still exists in 0.16-a0-36-ge20b376. Spores are explicitly excluded in the code from being protected by Fedhas - do we want to make a special case for polymorph, or is this acceptable as it is?
(0027168)
rchandra (reporter)
2014-09-07 08:21

This also means you cannot shoot through spores made from reproduction.
(0028840)
PleasingFungus (administrator)
2015-04-14 06:50

The spore exclusion is irrelevant - the thing is that fedhas makes naturally generated plants ATT_GOOD_NEUTRAL (attitude-change.cc:_fedhas_neutralise_plant()), but only cares about ATT_FRIENDLY monsters.

379b256 makes spores magic-immune, thus removing the secret reproduction tech; polymorphing naturally occurring wandering mushrooms is still a tech, but a pretty incidental one. Might be okay to close the ticket?

- Issue History
Date Modified Username Field Change
2010-09-01 06:30 OG17 New Issue
2010-09-01 06:45 OG17 Note Added: 0007696
2010-09-01 10:22 KiloByte Note Added: 0007703
2013-03-17 20:35 mumra Issue Monitored: mumra
2014-08-03 21:21 doy Note Added: 0026926
2014-09-07 08:21 rchandra Note Added: 0027168
2015-04-14 06:50 PleasingFungus Note Added: 0028840
2015-04-14 06:51 PleasingFungus Status new => resolved
2015-04-14 06:51 PleasingFungus Fixed in Branch => 0.16 pre-release branch
2015-04-14 06:51 PleasingFungus Resolution open => done
2015-04-14 06:51 PleasingFungus Assigned To => PleasingFungus


Mantis 1.1.8[^]
Copyright © 2000 - 2009 Mantis Group
Powered by Mantis Bugtracker